#import <driverkit/IODevice.h>
#import <kernserv/kern_server_types.h>

kern_server_t ATI_instance;

@interface ATIKernelServerInstance : Object
{}
+ (kern_server_t *)kernelServerInstance;
@end

@implementation ATIKernelServerInstance
+ (kern_server_t *)kernelServerInstance
{
	return &ATI_instance;
}
@end

@interface ATIVersion : IODevice
{}
+ (int)driverKitVersionForATI;
@end

@implementation ATIVersion
+ (int)driverKitVersionForATI
{
	return IO_DRIVERKIT_VERSION;
}
@end

